'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.SeedDynamo = SeedDynamo;

var _tableDefinitions = require('./services/table-definitions');

var _tableDefinitions2 = _interopRequireDefault(_tableDefinitions);

var _dynamo = require('./services/dynamo');

var _dynamo2 = _interopRequireDefault(_dynamo);

var _runForAll = require('./services/run-for-all');

var _runForAll2 = _interopRequireDefault(_runForAll);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function SeedDynamo(directory, port) {

    var db = new _dynamo2.default(port);
    return (0, _tableDefinitions2.default)(directory).then(function (definitions) {
        return (0, _runForAll2.default)(definitions, item => {
            return db.createTable(item);
        });
    }).then(function (definitions) {
        return (0, _runForAll2.default)(definitions, item => {
            return db.initializeData(item);
        });
    });
};