'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _db = require('../wrappers/db');

var _db2 = _interopRequireDefault(_db);

var _runForAll = require('./run-for-all');

var _runForAll2 = _interopRequireDefault(_runForAll);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class DynamoDb {

    constructor(port) {
        this.port = port;
    }

    createTable(definition) {
        let db = new _db2.default(this.port);
        return new Promise((resolve, reject) => {
            db.createTable(definition.table_params, err => {
                if (err) {
                    reject(err);
                } else {
                    resolve(definition);
                }
            });
        });
    }

    initializeData(definition) {

        let putItem = update => {

            let db = new _db2.default(this.port);
            return new Promise((resolve, reject) => {
                db.put(update, err => {
                    if (err) {
                        reject(err);
                    } else {
                        resolve(update);
                    }
                });
            });
        };

        return (0, _runForAll2.default)(definition.updates, putItem);
    }
}exports.default = DynamoDb;
;