'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _require = require('../wrappers/require');

var _require2 = _interopRequireDefault(_require);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const fs = require('fs');


let parseTableDefinitions = (fileNames, directory, requireFunc) => {
    return new Promise(resolve => {
        var ret = [];

        for (let index in fileNames) {
            var def = requireFunc(directory + '/' + fileNames[index]);
            ret.push(def);
        }

        resolve(ret);
    });
};

let getFileNames = directory => {
    return new Promise((resolve, reject) => {
        fs.readdir(directory, function (err, files) {

            if (err) {
                reject(err);
                return;
            }

            resolve(files);
        });
    });
};

exports.default = directory => {
    let wrapped = new _require2.default();
    return getFileNames(directory).then(fileNames => {
        return parseTableDefinitions(fileNames, directory, wrapped.wrappedRequire);
    });
};